> ## Documentation Index
> Fetch the complete documentation index at: https://developer.findity.com/llms.txt
> Use this file to discover all available pages before exploring further.

# V0 - Update person (internalId)

> Retrieves the Persons data. A Person is a unique invididual, and a Person can have multiple Users (in multiple Organizations). 

Please note: to use this API call your API key needs additional access (Client Application access), please contact your contact person at Findity to enable this.



## OpenAPI

````yaml openapi/findity-admin-api-1.json PUT /person/{internalId}
openapi: 3.0.3
info:
  title: Findity Admin API
  description: ''
  version: 1.0.0
  contact:
    name: Findity Support
    email: support@findity.com
servers:
  - url: https://stage-expense.findity.com/api/admin
    description: Stage environment
  - url: https://expense.findity.com/api/admin
    description: Production environment
security:
  - bearerAuth: []
paths:
  /person/{internalId}:
    put:
      tags:
        - person
      summary: V0 - Update person (internalId)
      description: >-
        Retrieves the Persons data. A Person is a unique invididual, and a
        Person can have multiple Users (in multiple Organizations). 


        Please note: to use this API call your API key needs additional access
        (Client Application access), please contact your contact person at
        Findity to enable this.
      operationId: 2f6b863e-d41d-44c5-8cd9-265736684c1d
      parameters:
        - $ref: '#/components/parameters/personInternalId'
        - name: Content-Type
          in: header
          schema:
            type: string
            default: application/json
            description: ''
        - name: X-Findity-ApiVersion
          in: header
          schema:
            type: string
            default: '3'
            description: ''
      requestBody:
        description: ''
        content:
          application/json:
            schema:
              type: object
              properties:
                firstName:
                  type: string
                  example: New first name
                lastName:
                  type: string
                  example: New last name
                email:
                  type: string
                  example: fake7@findity.com
                externalSourceId:
                  type: string
                  example: fake6
        required: true
      responses:
        '200':
          description: ''
components:
  parameters:
    personInternalId:
      in: path
      name: internalId
      required: true
      description: The internal id of the person to update
      schema:
        type: string
      example: 6aeb86c4fb154c46b2b5a1977245ac67
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````